#version 100
precision highp float;
precision highp int;
varying lowp vec4 _gl4es_FrontColor;
varying mediump vec4 _gl4es_TexCoord_0;

uniform float CurrentRealTime;

uniform sampler2D texSampler;

void ApplyWaterEffect(in sampler2D sampler,in vec2 vCoords, out vec3 color)
{

    vec2 tc = vec2(_gl4es_TexCoord_0.x,_gl4es_TexCoord_0.y);
    
    float len = length(-1.000000 + 2.000000*tc);
    float ripplesize=cos((len*3.000000+CurrentRealTime)*4.000000);
    vec2 uv=tc;
    uv+=ripplesize*0.030000;

    color.rgb = texture2D(sampler, uv).xyz;
	
}

void main (void) 
{
   vec4 texcolor=_gl4es_FrontColor;

   ApplyWaterEffect(texSampler,_gl4es_TexCoord_0.xy,texcolor.xyz);
   
   gl_FragColor= texcolor;

   
}